Vector::BLF::CompactSerialEvent(3)

NAME
Vector::BLF::CompactSerialEvent

SYNOPSIS

#include <CompactSerialEvent.h>

  Public Member Functions
CompactSerialEvent (const CompactSerialEvent &)=default
CompactSerialEvent & operator= (const CompactSerialEvent &)=default
CompactSerialEvent (CompactSerialEvent &&)=default
CompactSerialEvent & operator= (CompactSerialEvent &&)=default
virtual void read (AbstractFile &is)
virtual void write (AbstractFile &os)
virtual uint32_t calculateObjectSize () const

  Public Attributes
uint8_t compactLength {}
std::array< uint8_t, 15 > compactData {}

Detailed Description

compact serial event

Member Function Documentation

  uint32_t Vector::BLF::CompactSerialEvent::calculateObjectSize () const [virtual]

Calculates the objectSize

Returns
    object size

  void Vector::BLF::CompactSerialEvent::read (AbstractFile & is) [virtual]

Read the data of this object

Parameters
    is input stream

  void Vector::BLF::CompactSerialEvent::write (AbstractFile & os) [virtual]

Write the data of this object

Parameters
    os output stream

Member Data Documentation

  std::array<uint8_t, 15> Vector::BLF::CompactSerialEvent::compactData {}
compact data

  uint8_t Vector::BLF::CompactSerialEvent::compactLength {}
compact length

Author

Generated automatically by Doxygen for Vector BLF from the source code.